Bug 114960 - nfs layer livelocks after after using up all of the kmap space
nfs layer livelocks after after using up all of the kmap space
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
: 114209 (view as bug list)
Depends On: 58216 89453
Blocks: 107565
  Show dependency treegraph
 
Reported: 2004-02-04 15:54 EST by Jason Baron
Modified: 2013-03-06 00:56 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 10:25:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Baron 2004-02-04 15:54:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2)
Gecko/20031013

Description of problem:
Some of the rpc layer calls kmap in the the same thread. This can lead
to livelock when there are lots of threads and i/o. ie high load. This
bug is being created to track a number of places where this bug has
been hit. related bz #89453, bz #114209, and bz #58216. Issue tracker
is: it #33097.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:
Comment 1 Jason Baron 2004-02-04 15:58:44 EST
ABI issues might be a pain on this one but i'm adding to the blocker
list, since this is a serious and prevalent issue.
Comment 2 Jason Baron 2004-02-12 15:15:22 EST
we can use this 'tracker' bug to mark progress. Dave Anderson is
currently building a kernel through beehive, that we can give out to
test to partners.
Comment 3 Dave Anderson 2004-02-12 18:02:08 EST
Binary RPMs containing test kernels can found in:

  http://people.redhat.com/anderson/.nfs_kmap_nonblock


Comment 5 Jason Baron 2004-07-09 16:19:26 EDT
ok, we've fixed this by adding the nfs module parameters, which should
be set as: nfs_max_request_hard=60 nfs_max_request_soft=30. Fix is in U5.
Comment 6 Jason Baron 2004-07-09 16:21:05 EDT
*** Bug 114209 has been marked as a duplicate of this bug. ***
Comment 7 John Flanagan 2004-08-18 10:25:16 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-437.html

Note You need to log in before you can comment on or make changes to this bug.